Updated: 2014-06-08 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Wrong Picture in FE

Description

Hello Guys,

this is my first error reporting, so excuse me for mistakes and missing informations ;)

Problem:

| create a picture content element. | select a picture logo_b.png and save it. Preview and thumbnail images are correct in the BE.
In the same directory with logo_b.png is a image with the name logo_a.png.

But then i clear the cache and reload the FE. After that i see logo_a.png in the FE.

| checked and cleared the sys_file_* tables etc. But nothing was helping me.

The Typo3 6.2 is a fresh installation. The tests in the installation tool are all green.

It is similar to the Bug #45168.

Related issues:
related to Core - Bug # 45168: Wrong image displayed in FE if not resized Resolved 2013-02-05

History

#1 - 2014-04-03 08:49 - Rene Zwinge

Rene Zwinge wrote:

Hello Guys,

this is my first error reporting, so excuse me for mistakes and missing informations ;)

Problem:

| create a picture content element. | select a picture logo_b.png and save it. Preview and thumbnail images are correct in the BE.
In the same directory with logo_b.png is a image with the name logo_a.png.

But then i clear the cache and reload the FE. After that i see logo_a.png in the FE.

| checked and cleared the sys_file_* tables etc. But nothing was helping me.

The Typo3 6.2 is a fresh installation. The tests in the installation tool are all green.

It is similar to the Bug #45168.

PS: Both images are in the path fileadmin/img
#2 - 2014-04-03 11:51 - Rene Zwinge

I've done a complete new installation with same TS configuration and now it still works...

#3 - 2014-04-03 13:03 - Markus Klein

- Status changed from New to Needs Feedback

So this can be closed?

#4 - 2014-04-04 14:10 - Rene Zwinge

| think so.
Actually it is all right.

#5 - 2014-04-04 17:46 - Markus Klein
- Status changed from Needs Feedback to Closed

#6 - 2014-04-16 11:12 - Kai Kretschmann

I'm getting the same error. A fresh installation of LTS 6.2.0 without an example content.
The first image | tried to insert via Backend displays some random image from the fileadmin folder. An added second image displays another random
one. When | define a width/height to resize to everything works.

Doesn't seem solved to me.

#7 - 2014-04-16 15:20 - Markus Klein
- Status changed from Closed to New

#8 - 2014-04-25 10:08 - Michal Erdody

Hi.

| have the same problem as described above - wrong image displaying in FE.
Typo3 6.2.0 and also in 6.2.1.

In BE Install i have no errors - everything green.

Thnx.

#9 - 2014-04-25 12:06 - Markus Klein

@Michal: Please describe you situation more precisely.

How many images are that folder?

Do they have a similar name?

How did you upload the images?

#10 - 2014-04-25 12:34 - Michal Erdody

@Markus:
| tried many clean installations of 6.2.0, and its everytime the same - on webhosting and also on local web server.
All images (6 files) are stored inside filedmin/user_upload folder.

| uploaded them via content element (Add image popup window, also via Select&upload button and also directly in Filelist section).

Images doesnt have similar names.

When i installed introduction package or fluid page template i get image from this package if not (in case of clean templavoila installation) i get error
like: No file with this ID.

Another interesting thing is | get everytime the same wrong image in FE after creating more image content elements. If i inserted more images inside
one element i get the same wrong image and also another different wrong image.

Can this have something to do with cache PHP modul, or file permissions? All previous Typo3 versions are without problems on our webhosting.
Thnx.

#11 - 2014-04-25 21:54 - Markus Klein

Which PHP version are you using; which PHP opcode cache?

#12 - 2014-04-25 22:46 - Frans Saris

@Michal, the previews in be are correct?

What typo3 static templates are you using and could you try to enable [FE][activateContentAdapter] see #54979.

Gr. Frans

#13 - 2014-04-26 18:44 - Michal Erdody
@Markus:

PHP Version 5.4.27

A PHP opcode cache is loaded

Name: XCache Version: 3.1.0

XCache Version 3.1.0

Modules Built: cacher

Opcode Cache: enabled, 4,294,967,296 bytes, 8 split(s), with 8192 slots each

another thing:

PHP suhosin extension not loaded

hope this helps...

@Frans

The previews in BE are displaying correctly.

After i enabled activateContentAdapter it is working.

#14 - 2014-04-26 18:49 - Markus Klein

@Michael: Thanks for the information.

The question of Frans is still open:

What typo3 static templates are you using and could you try to enable [FE][activateContentAdapter] see #54979.
This is actually a very good hint. Using old TypoScript (possibly from some static template) without having the content adapter enabled will probably

cause some behavior like described here.

#15 - 2014-04-26 19:07 - Michal Erdody

@Markus:

Sorry,

Include Static Templates After Basis Templates: Not enabled
Static templates from extensions:

CSS Styled Content TYPO3 v6.1 (css_styled_content)

and some our extensions plus default TS form

#16 - 2014-04-26 19:12 - Markus Klein

Can you try to use the "CSS Styled Content TYPO3 (css_styled_content)" template please and see if that works?

I'm fairly sure this solves your problem, since the old static templates are meant to be used with the "content adapter" enabled.

On new 6.2 installations the adapter is disabled by default. See also
https://github.com/TYPO3/TYPO3.CMS/blob/master/NEWS.md#frontend

#17 - 2014-04-26 20:20 - Michal Erdody
@Markus: You are right, | changed css_styled_content_6.1 to css_styled_content and now it is working correctly.

| disabled also the [FE][activateContentAdapter].
Thank you for your time!

#18 - 2014-04-26 20:46 - Markus Klein

- Status changed from New to Needs Feedback

You're welcome, but we have to thank Frans since he dropped the hint for searching in the right direction.

All other reporters: Please check if this is also the problem/solution for you.

#19 - 2014-05-12 11:50 - Sejal no-lastname-given

Markus Klein wrote:

You're welcome, but we have to thank Frans since he dropped the hint for searching in the right direction.

All other reporters: Please check if this is also the problem/solution for you.

@Markus: This is still not working for me.

| have upgraded the version from typo 3 6.1.7 to 6.2.0.

| have already set css_styled_content in static template and disable [FE][activateContentAdapter] but its not working. It always show wrong error while
selecting quality and type to "None". If | update that record with "Default" quality and type then it is shown correctly.
https://github.com/TYPO3/TYPO3.CMS/blob/master/NEWS.md#frontend

Do you have any solution for this problem?

#20 - 2014-05-12 11:58 - Frans Saris

Hi Sejal,

Please update to 6.2.2

#21 - 2014-05-12 14:30 - Sejal no-lastname-given

Frans Saris wrote:

Hi Sejal,

Please update to 6.2.2

Hi Frans,

Thanks a lot for your help.

Its working now.

| appreciate your quick help.
Thanks again :)

#22 - 2014-06-08 15:43 - Frans Saris
- Status changed from Needs Feedback to Resolved
